package net.nighttale.scheduling.rmi;

import org.quartz.*;
import net.nighttale.scheduling.*;

public class QuartzClient {

	public static void main(String[] args) {
		try {
		  SchedulerFactory schedFact = new org.quartz.impl.StdSchedulerFactory();
		  Scheduler sched = schedFact.getScheduler();
		  JobDetail jobDetail = new JobDetail("Income Report",
											"Report Generation",
	                                        QuartzReport.class);
		  CronTrigger trigger = new CronTrigger("Income Report", "Report Generation");
		  trigger.setCronExpression("0/1 * * * * ?");
		  sched.scheduleJob(jobDetail, trigger);
		} catch (Exception e) {
			e.printStackTrace();
		}
	}
}
