package net.nighttale.scheduling.rmi;

import org.quartz.Scheduler;
import org.quartz.SchedulerException;
import org.quartz.SchedulerFactory;


public class QuartzServer {

	public static void main(String[] args) {
		
	    if(System.getSecurityManager() == null) {
	      System.setSecurityManager(new java.rmi.RMISecurityManager());
	    }
	    
	    try {
		SchedulerFactory schedFact = new org.quartz.impl.StdSchedulerFactory();
		Scheduler sched = schedFact.getScheduler();
		sched.start();		
	    } catch (SchedulerException se) {
	    	se.printStackTrace();
	    }
	}
}
